gravatar for madhujamano

2 hours ago by

I was trying to install Bio::SeqIO module in ubuntu 18.04 terminal. Unfortunately i came across the following problem in installing some of the dependencies. Kindly help me to solve this issue.
I have tried installing the dependencies individually using cpanm --force install but that also doesnot seem to work.

cpanm --force install Bio::SeqIO
--> Working on install
Fetching www.cpan.org/authors/id/D/DA/DAGOLDEN/install-0.01.tar.gz ... OK
Configuring install-0.01 ... OK
Building and testing install-0.01 ... OK
Successfully reinstalled install-0.01
--> Working on Bio::SeqIO
Fetching www.cpan.org/authors/id/C/CJ/CJFIELDS/BioPerl-1.7.8.tar.gz ... OK
Configuring BioPerl-1.7.8 ... OK
==> Found dependencies: Graph::Directed
--> Working on Graph::Directed
Fetching www.cpan.org/authors/id/E/ET/ETJ/Graph-0.9717.tar.gz ... OK
Configuring Graph-0.9717 ... OK
==> Found dependencies: Set::Object
--> Working on Set::Object
Fetching www.cpan.org/authors/id/R/RU/RURBAN/Set-Object-1.41.tar.gz ... OK
Configuring Set-Object-1.41 ... OK
Building and testing Set-Object-1.41 ... FAIL
! Installing Set::Object failed. See /home/ubuntu/.cpanm/work/1614922080.9865/build.log for details. Retry with --force to force install it.
! Installing the dependencies failed: Module 'Set::Object' is not installed
! Bailing out the installation for Graph-0.9717.
! Installing the dependencies failed: Module 'Graph::Directed' is not installed
! Bailing out the installation for BioPerl-1.7.8.
1 distribution installed

Thank you



Source link